Perlanet::Types(3pm)

NAME
Perlanet::Types - Various types for the Perlanet system.

SYNOPSIS
    # n/a

DESCRIPTION
This class acts as a repository of types used at various places in Perlanet.

TYPES

  Perlanet::DateTime
Our subclass of DateTime (along with a coercion to automatically create it from a string).

  Perlanet::DateTime::Duration
Our subtype of DateTime::Duration (along with a coercion to automatically create it from a hash reference).

AUTHOR
Dave Cross, <dave@perlhacks.com>

COPYRIGHT AND LICENSE
Copyright (c) 2020 by Magnum Solutions Ltd.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.